org.jgroups.blocks

## Enum MemcachedConnector.Request.Type

- java.lang.Object
- - java.lang.Enum<MemcachedConnector.Request.Type>
  - - org.jgroups.blocks.MemcachedConnector.Request.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MemcachedConnector.Request.Type>
  Enclosing class:
    MemcachedConnector.Request

      public static enum MemcachedConnector.Request.Type
      extends java.lang.Enum<MemcachedConnector.Request.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `APPEND`
    `CAS`
    `DECR`
    `DELETE`
    `GET`
    `GETS`
    `INCR`
    `PREPEND`
    `REPLACE`
    `SET`
    `STAT`
    `STATS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MemcachedConnector.Request.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MemcachedConnector.Request.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SET

          public static final MemcachedConnector.Request.Type SET

    - #### ADD

          public static final MemcachedConnector.Request.Type ADD

    - #### REPLACE

          public static final MemcachedConnector.Request.Type REPLACE

    - #### PREPEND

          public static final MemcachedConnector.Request.Type PREPEND

    - #### APPEND

          public static final MemcachedConnector.Request.Type APPEND

    - #### CAS

          public static final MemcachedConnector.Request.Type CAS

    - #### INCR

          public static final MemcachedConnector.Request.Type INCR

    - #### DECR

          public static final MemcachedConnector.Request.Type DECR

    - #### GET

          public static final MemcachedConnector.Request.Type GET

    - #### GETS

          public static final MemcachedConnector.Request.Type GETS

    - #### DELETE

          public static final MemcachedConnector.Request.Type DELETE

    - #### STAT

          public static final MemcachedConnector.Request.Type STAT

    - #### STATS

          public static final MemcachedConnector.Request.Type STATS

  - ### Method Detail

    - #### values

          public static MemcachedConnector.Request.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MemcachedConnector.Request.Type c : MemcachedConnector.Request.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MemcachedConnector.Request.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.